Bug 648111 - git commit fails if gedit already active
git commit fails if gedit already active
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
14
All All
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-30 21:02 EDT by Nivag
Modified: 2013-01-10 05:46 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nivag 2010-10-30 21:02:10 EDT
Description of problem:
I have an existing instance of gedit with some contents displayed, I do a 'git commit' and gedit displays the expected git file to add a comment, but git then gives up with an error message 'Aborting commit due to empty commit message.' - before I have a chance to add a commit message.

The same behaviour is is seen in Fedora 12 as in Fedora 14 Beta, git versions 1.7.2.3 and 1.7.3.2 respectively.

Version-Release number of selected component (if applicable):
git versions 1.7.2.3 and 1.7.3.2

How reproducible:
Always

Steps to Reproduce:
1. gedit <filename>
2. modify a file
3. gedit add .
4. git commit
  
Actual results:
error message

Expected results:
commit succeeds

Additional info:
Comment 1 Nivag 2010-10-30 21:15:11 EDT
Changing the Fedora version to 14, as it occurs on 14 beta, as well as on Fedora 12.

It is most likely applicable to other architectures, editors, and operating systems. Though I found the problem on 64 bit Linux with 2 different AMD processors
Comment 2 Todd Zullinger 2010-10-31 10:24:56 EDT
I think you need to find a way to tell gedit not to fork so that git can actually get the edited text back.  For example, to use gvim as the editor, you'd need to use "gvim -f" as EDITOR or core.editor or however you're configuring the editor that git uses.  I don't know gedit nor do I see an option for doing this at a glance.  But this is not a git bug in my opinion.
Comment 3 Matěj Cepl 2010-11-19 05:38:56 EST
This is definitively gedit bug (or rather RFE). Reassigning.
Comment 4 Fedora End Of Life 2012-08-16 16:15:58 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.